Bug 461442 - VLAN driver logs excessive messages in kernel message log (dmesg)
VLAN driver logs excessive messages in kernel message log (dmesg)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Danny Feng
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 22:49 EDT by starlight
Modified: 2010-03-30 03:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
posted patch (1.90 KB, patch)
2009-09-28 06:14 EDT, Danny Feng
no flags Details | Diff

  None (edit)
Description starlight 2008-09-07 22:49:15 EDT
Description of problem:

If one subscribes to a few hundred multicasts on one or more
VLAN interfaces, the VLAN driver logs an excessive number of
messages and wipes out the more useful information in the
kernel message log that is viewed with the 'dmesg' command.

example:

vlan2003: add 01:00:5e:00:05:e4 mcast address to master interface
vlan2003: del 01:00:5e:77:a0:10 mcast address from master interface
.
.
.
ad nauseam

Version-Release number of selected component (if applicable):

kernel 2.6.18-92.1.10.el5

How reproducible:

Configure an 801.1q trunked VLAN or two with the
'vconfig' command.  Then subscribe to a hundred
or more multicasts on them.
  
Actual results:

Excessive number of messages that completely wipe out
the kernel message log.

Expected results:

No messages should be logged.

Additional info:

Don't need to know about these events.  One
can always look at '/proc/net/dev_mcast' to see the
multicast subscriptions.  It should take about five
minutes to remove the message or make it a debug-only
logging event.
Comment 1 Danny Feng 2009-08-18 23:16:15 EDT
those messages was printk with KERN_DEBUG, the lowest level (8) of log messages, that's for debug only. You can use "dmesg -n 7" to filter out all debug messages...
Comment 3 Danny Feng 2009-09-28 06:14:34 EDT
Created attachment 362877 [details]
posted patch
Comment 5 Don Zickus 2009-11-17 16:55:33 EST
in kernel-2.6.18-174.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 errata-xmlrpc 2010-03-30 03:30:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.